package cn.reghao.tnb.oss.api.constant;

/**
 * @author reghao
 * @date 2024-10-23 10:49:04
 */
public enum ObjectSize {
    mb10(1024L*1024*10, "10MB"),
    mb100(1024L*1024*100, "100MB"),
    gb1(1024L*1024*1024, "1GB"),
    gb10(1024L*1024*1024*10, "10GB"),
    gb20(1024L*1024*1024*20, "20GB");

    private final long size;
    private final String desc;
    ObjectSize(long size, String desc) {
        this.size = size;
        this.desc = desc;
    }

    /**
     * 提供给 @ValidEnum 调用
     *
     * @param
     * @return
     * @date 2023-10-11 14:44:42
     */
    public long getValue() {
        return this.size;
    }

    public long getSize() {
        return size;
    }

    public String getDesc() {
        return desc;
    }
}
